package com.ruoyi.interfaces.mapper;


import com.ruoyi.interfaces.domain.PtModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PtModelMapper {
    int deleteByPrimaryKey(String id);

    int insert(PtModel record);

    int insertSelective(PtModel record);

    PtModel selectByPrimaryKey(String mid);

    int updateByPrimaryKeySelective(PtModel record);

    int updateByPrimaryKey(PtModel record);

    int updateModelStatus(@Param("mid") String mid, @Param("flag") String flag);

    List<PtModel> selectAll(PtModel ptModel);
}
